Page MenuHomePhabricator

[RISCV][test] Add a new codegen test of add-mul transform
ClosedPublic

Authored by benshi001 on Jul 4 2020, 9:24 AM.

Details

Summary

This case will show whether (mul (add x, c1), c2) can be transformed
to (add (mul x, c2), c1*c2) according to different c1/c2 pairs.

Diff Detail

Event Timeline

benshi001 created this revision.Jul 4 2020, 9:24 AM
Herald added a project: Restricted Project. · View Herald TranscriptJul 4 2020, 9:24 AM

This patch will show the optimization by my previous patch https://reviews.llvm.org/D83153

lenary accepted this revision.Jul 6 2020, 3:32 AM

LGTM!

Please ask for commit access and land this yourself. There's more about this, and what that entails, in this document: https://llvm.org/docs/DeveloperPolicy.html

This revision is now accepted and ready to land.Jul 6 2020, 3:32 AM

Optional: you can add [test] to the subject, i.e. [RISCV][test] to make it clear this patch is completely about tests. This is even stronger than NFC (non-functional change).

llvm/test/CodeGen/RISCV/addimm-mulimm.ll
2

It'd be better adding a file-level comment.

asb added inline comments.Jul 8 2020, 10:08 PM
llvm/test/CodeGen/RISCV/addimm-mulimm.ll
2

+1 on adding a comment to this file explaining what it's aiming to demonstrate

benshi001 updated this revision to Diff 276985.Jul 10 2020, 4:24 AM
benshi001 retitled this revision from [RISCV] Add a new codegen test to [RISCV][test] Add a new codegen test.
benshi001 edited the summary of this revision. (Show Details)
benshi001 marked 2 inline comments as done.
benshi001 updated this revision to Diff 277184.Jul 10 2020, 5:38 PM
benshi001 retitled this revision from [RISCV][test] Add a new codegen test to [RISCV][test] Add a new codegen test of add-mul transform.
This revision was automatically updated to reflect the committed changes.